> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_services_log-fields.md).

# iai services log-fields

List available fields in structured logs

## Synopsis

Scan recent logs and list the extra top-level fields present in structured (JSON) log entries.

Use the reported field names with 'iai services logs --fields' to include them in output.

```
iai services log-fields <service_name> [flags]
```

## Examples

```
  iai services log-fields my-service
  iai services log-fields my-service --since 1h
```

## Options

```
  -h, --help                  help for log-fields
  -o, --organization string   Organization name
  -p, --project string        Project name
      --since string          Relative duration to scan (e.g. 5m, 1h) (default "1h")
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai services](/cli/iai_services.md) - Deploy and manage HTTP services


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.interactive.ai/cli/iai_services_log-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
